extend("fiskheroes:hero_basic");
loadTextures({
	"layer1": "tgheroes:stick/stick_ns1",
	"layer2": "tgheroes:stick/stick_ns2"
});

var utils = implement("fiskheroes:external/utils");


function init(renderer) {
    parent.init(renderer);
	renderer.showModel("LEGGINGS", "body", "rightLeg", "leftLeg");
}

function initEffects(renderer) {
	initEquipped(renderer);	
}

function initEquipped(renderer) {   
	renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "body", "scale": 0.7, "offset": [-3.5, 2.0, 3.0], "rotation": [0.0, -90.0, 40.0] }
    ]).addOffset("QUIVER", 0.0, 0.0, 3.0).slotIndex = 0;

	renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "body", "scale": 0.535, "offset": [3.05, 0.52, 3.0], "rotation": [-148.0, -90.0, 0.0] }
    ]).slotIndex = 1;
}


